Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Interface ILogger

All Known Implementing Classes:
  LogCategory

public interface ILogger

The public interface to the logging framework.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addRuntimeDestination(java.io.PrintWriter writer)` Adds a new destination for log messages at runtime, as opposed to destinations configured using the configuration file.
`void` | `audit(java.lang.String strKey)` Logs audit message by looking up its Key.
`void` | `audit(java.lang.String strMessage, boolean isDirect)` Logs strMessage as message (set isDirect == true)
`void` | `audit(java.lang.String strKey, java.lang.Object obj)` Logs audit messages with one arg.
`void` | `audit(java.lang.String strKey, java.lang.Object[] aInfo)` Logs audit messages using an array of arguments.
`void` | `audit(java.lang.Throwable t)` Logs exception to audit log
`void` | `debug(java.lang.String strMessage)` Logs a debug message, which are used to determine how the internals of a component are working and are typically not internationalized.
`void` | `error(java.lang.String strKey)` Logs error message by looking up its Key.
`void` | `error(java.lang.String strMessage, boolean isDirect)` Logs strMessage as message (set isDirect == true)
`void` | `error(java.lang.String strKey, java.lang.Object obj)` Logs error message with one arg.
`void` | `error(java.lang.String strKey, java.lang.Object[] aInfo)` Logs error message with one arg.
`void` | `error(java.lang.Throwable t)` Logs exceptions into the log
`java.lang.String` | `getI18NMessage(java.lang.String strKey)` Gets an Locale specific string from the resource bundle using strKey
`java.lang.String` | `getI18NMessage(java.lang.String strKey, java.lang.Object obj)` Gets a Locale specific string from the resource bundle using strKey and replaces with one argument
`java.lang.String` | `getI18NMessage(java.lang.String strKey, java.lang.Object[] aInfo)` Gets a Locale specific string from the resource bundle using strKey and replaces with contents of an array
`java.lang.String` | `getLevel()` Returns the currently assigned priority, if any, for this Category.
`java.io.PrintWriter` | `getLogWriter()` Returns a PrintWriter for writing to an appropriate location.
`INestedDiagnosticContext` | `getNDCInterface()` Gets an interface to a Nested Diagnostic Context object for applying thread-specific context to your log messages
`void` | `info(java.lang.String strKey)` Log an info message by looking up its key.
`void` | `info(java.lang.String strMessage, boolean isDirect)` Logs strMessage as message (set isDirect == true)
`void` | `info(java.lang.String strKey, java.lang.Object obj)` Logs info messages with one arg.
`void` | `info(java.lang.String strKey, java.lang.Object[] aInfo)` Logs an info messages using an array of arguments.
`boolean` | `isDebugEnabled()` True if DEBUG priority is enabled
`boolean` | `isInfoEnabled()` True if INFO priority is enabled
`void` | `setLevel(java.lang.String strPriority)` Sets the priority for this LogCategory
`void` | `setPriority(int intPriority)` Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead
`void` | `setPriority(LogPriority priority)` Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead
`void` | `setPriority(java.lang.String strPriority)` Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead
`void` | `setResourceBundle(java.util.ResourceBundle bundle)` Sets the category's resource bundle
`void` | `warn(java.lang.String strKey)` Logs a warning message by looking up its Key.
`void` | `warn(java.lang.String strMessage, boolean isDirect)` Logs strMessage as message (set isDirect == true)
`void` | `warn(java.lang.String strKey, java.lang.Object obj)` Logs a warning messages with one arg.
`void` | `warn(java.lang.String strKey, java.lang.Object[] aInfo)` Logs a warning using an array of arguments.
`void` | `warn(java.lang.Throwable t)` Logs an exception as a warning

Method Detail

### audit

    public void audit(java.lang.String strKey)

  Logs audit message by looking up its Key. Indicates an extremely important log message that relates to the business processing performed by an adapter. Messages with this priority will always be written to the log output.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.

### audit

    public void audit(java.lang.String strMessage,
                      boolean isDirect)

  Logs strMessage as message (set isDirect == true)

### audit

    public void audit(java.lang.String strKey,
                      java.lang.Object[] aInfo)

  Logs audit messages using an array of arguments. Indicates an extremely important log message that relates to the business processing performed by an adapter. Messages with this priority will always be written to the log output.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `aInfo` - - an array of arguments used to substitute Locale specific values into the message at the correct place holders.

### audit

    public void audit(java.lang.String strKey,
                      java.lang.Object obj)

  Logs audit messages with one arg. Indicates an extremely important log message that relates to the business processing performed by an adapter. Messages with this priority will always be written to the log output.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `ojb` - - Object to substitue into the Locale specific message at the appropriate place holder.

### audit

    public void audit(java.lang.Throwable t)

  Logs exception to audit log

  Parameters:
    `throwable` - - exception

### error

    public void error(java.lang.String strKey)

  Logs error message by looking up its Key. Indicates an error in the adapter. Error messages are internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.

### error

    public void error(java.lang.String strMessage,
                      boolean isDirect)

  Logs strMessage as message (set isDirect == true)

### error

    public void error(java.lang.String strKey,
                      java.lang.Object[] aInfo)

  Logs error message with one arg. Indicates an error in the adapter. Error messages are internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `aInfo` - - an array of arguments used to substitute Locale specific values into the message at the correct place holders.

### error

    public void error(java.lang.String strKey,
                      java.lang.Object obj)

  Logs error message with one arg. Indicates an error in the adapter. Error messages are internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `obj` - - Object to substitue into the Locale specific message at the appropriate place holder.

### error

    public void error(java.lang.Throwable t)

  Logs exceptions into the log

  Parameters:
    `throwable` - - exception

### warn

    public void warn(java.lang.String strKey)

  Logs a warning message by looking up its Key. Indicates a situation that is not an error, but could cause problems. A warning message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.

### warn

    public void warn(java.lang.String strMessage,
                     boolean isDirect)

  Logs strMessage as message (set isDirect == true)

### warn

    public void warn(java.lang.String strKey,
                     java.lang.Object[] aInfo)

  Logs a warning using an array of arguments. Indicates a situation that is not an error, but could cause problems. A warning message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the correct value for substitution into the Locale specific message.
    `aInfo` - - an array of arguments used to substitute Locale specific values into the message at the correct place holders.

### warn

    public void warn(java.lang.String strKey,
                     java.lang.Object obj)

  Logs a warning messages with one arg. Indicates a situation that is not an error, but could cause problems in the adapter. A warning message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key for determining the appropriate value to substitute into the Locale specific message.
    `obj` - - Object to substitue into the Locale specific message at the appropriate place holder.

### warn

    public void warn(java.lang.Throwable t)

  Logs an exception as a warning

  Parameters:
    `throwable` - - exception

### isInfoEnabled

    public boolean isInfoEnabled()

  True if INFO priority is enabled

  Returns:
    - true if info is enabled; false if info is not enabled

### info

    public void info(java.lang.String strKey)

  Log an info message by looking up its key. Indicates an informational message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key used to identify the appropriate value for this Locale specific message.

### info

    public void info(java.lang.String strMessage,
                     boolean isDirect)

  Logs strMessage as message (set isDirect == true)

  Parameters:
    `strMessage` - - message to log
    `isDirect` - - TODO

### info

    public void info(java.lang.String strKey,
                     java.lang.Object[] aInfo)

  Logs an info messages using an array of arguments. Indicates an informational message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the appropriate value for substitution
    `aInfo` - - An array of Objects that will get replace into the Locale specific message at the appropriate place holders.

### info

    public void info(java.lang.String strKey,
                     java.lang.Object obj)

  Logs info messages with one arg. Indicates an informational message that is internationalized/localized for the user.

  Parameters:
    `strKey` - - ResourceBundle key that identifies the appropriate value for substitution
    `obj` - - Object that will get replace into the Locale specific message at the appropriate place holder.

### isDebugEnabled

    public boolean isDebugEnabled()

  True if DEBUG priority is enabled

  Returns:
    - true is debug is enabled; false if debug is not enabled.

### debug

    public void debug(java.lang.String strMessage)

  Logs a debug message, which are used to determine how the internals of a component are working and are typically not internationalized.

  Parameters:
    `strMessage` - - debug message that will be written into the log

### addRuntimeDestination

    public void addRuntimeDestination(java.io.PrintWriter writer)

  Adds a new destination for log messages at runtime, as opposed to destinations configured using the configuration file.

  Parameters:
    `writer` - - a new destination for log messages

### getLogWriter

    public java.io.PrintWriter getLogWriter()

  Returns a PrintWriter for writing to an appropriate location.

  Returns:
    a PrintWriter that prints to the destinations configured for this logger.

### setPriority

    public void setPriority(java.lang.String strPriority)

  Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead

### setPriority

    public void setPriority(LogPriority priority)

  Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead

### setPriority

    public void setPriority(int intPriority)

  Deprecated. This method is being deprecated to allow the logtoolkit to standardize with java logging frameworks. Please use setLevel(String) instead

### getLevel

    public java.lang.String getLevel()

  Returns the currently assigned priority, if any, for this Category.

  Returns:
    priority - String representation of LogCategory's current priority, can be null.

### setLevel

    public void setLevel(java.lang.String strPriority)

  Sets the priority for this LogCategory

  Parameters:
    `strPriority` - - new level for this LogCategory

### setResourceBundle

    public void setResourceBundle(java.util.ResourceBundle bundle)

  Sets the category's resource bundle

  Parameters:
    `ResourceBundle` - - specific ResourceBundle that will be used to find keys for substituting objects into your Locale specific message.

### getI18NMessage

    public java.lang.String getI18NMessage(java.lang.String strKey)

  Gets an Locale specific string from the resource bundle using strKey

  Parameters:
    `strKey` - - specific key in your ResourceBundle whose value will be replaced in your Locale specific message.

### getI18NMessage

    public java.lang.String getI18NMessage(java.lang.String strKey,
                                           java.lang.Object[] aInfo)

  Gets a Locale specific string from the resource bundle using strKey and replaces with contents of an array

  Parameters:
    `args[]` - - an array of objects that will be substituted into your Locale specific message using the appropriate place holders

### getI18NMessage

    public java.lang.String getI18NMessage(java.lang.String strKey,
                                           java.lang.Object obj)

  Gets a Locale specific string from the resource bundle using strKey and replaces with one argument

### getNDCInterface

    public INestedDiagnosticContext getNDCInterface()

  Gets an interface to a Nested Diagnostic Context object for applying thread-specific context to your log messages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)